|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QStyleOptionRubberBand Class Reference
[QtGui module]

The QStyleOptionRubberBand class is used to describe the parameters needed for drawing a rubber band. More...

    #include <QStyleOptionRubberBand>

Inherits QStyleOption.

- List of all members, including inherited members

### Public Functions

- QStyleOptionRubberBand ()
- QStyleOptionRubberBand ( const QStyleOptionRubberBand & other )

- 2 public functions inherited from QStyleOption

### Public Variables

- bool opaque
- QRubberBand::Shape shape

- 7 public variables inherited from QStyleOption

### Static Public Members

- const int Type
- const int Version

- 2 static public members inherited from QStyleOption

## Detailed Description

The QStyleOptionRubberBand class is used to describe the parameters needed for drawing a rubber band.

The QStyleOptionRubberBand class is used for drawing QRubberBand.

## Member Function Documentation

### QStyleOptionRubberBand::QStyleOptionRubberBand ()

Creates a QStyleOptionRubberBand. The members variables are initialized to default values.

### QStyleOptionRubberBand::QStyleOptionRubberBand ( const QStyleOptionRubberBand & other )

Constructs a copy of the other style option.

## Member Variable Documentation

### const int QStyleOptionRubberBand::Type

Equals SO_RubberBand.

### const int QStyleOptionRubberBand::Version

Equals 1.

### bool QStyleOptionRubberBand::opaque

This variable holds whether the rubber band is required to be drawn in an opque style.

### QRubberBand::Shape QStyleOptionRubberBand::shape

This variable holds the shape of the rubber band.